package com.jakub.labintencje;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    TextView mUrl;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        LinearLayout mBtnShowMyName = findViewById(R.id.btn_show_my_name);
        LinearLayout mBtnShowBrowser = findViewById(R.id.btn_show_browser);
        LinearLayout mBtnFindGeo = findViewById(R.id.btn_find_geo);
        mUrl = findViewById(R.id.txt_url);

        mBtnShowMyName.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                showMyName();
            }
        });

        mBtnShowBrowser.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                showBrowser();
            }
        });

        mBtnFindGeo.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                showGeo();
            }
        });
    }

    private void showMyName() {
        Intent intent = new Intent(getApplicationContext(), NameActivity.class);
        startActivity(intent);
    }

    private void showBrowser() {
        if (!mUrl.getText().toString().equals("")) {
            mUrl.setError(null);
            Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(mUrl.getText().toString()));
            startActivity(intent);
        }
        else {
            mUrl.setError(getString(R.string.field_required));
        }
    }

    private void showGeo() {
        Intent intent = new Intent(getApplicationContext(), GeoActivity.class);
        startActivity(intent);
    }
}